Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class TreeExpansionEvent

    java.lang.Object
      java.util.EventObject
          javax.swing.event.TreeExpansionEvent

All Implemented Interfaces:
  Serializable

    public class TreeExpansionEvent

extends EventObject

An event used to identify a single path in a tree. The source returned by getSource will be an instance of JTree.

For further documentation and examples see the following sections in The Java Tutorial: How to Write a Tree Expansion Listener and How to Write a Tree-Will-Expand Listener.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Field Summary
`protected TreePath` | `path` Path to the value this event represents.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TreeExpansionEvent(Object source, TreePath path)` Constructs a TreeExpansionEvent object.

Method Summary
`TreePath` | `getPath()` Returns the path to the value that has been expanded/collapsed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### path

    protected TreePath path

  Path to the value this event represents.

Constructor Detail

### TreeExpansionEvent

    public TreeExpansionEvent(Object source,
                              TreePath path)

  Constructs a TreeExpansionEvent object.

  Parameters:
    `source` - the Object that originated the event (typically `this`)
    `path` - a TreePath object identifying the newly expanded node

Method Detail

### getPath

    public TreePath getPath()

  Returns the path to the value that has been expanded/collapsed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.